Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.instancetable
Class VisibleSlotDescription

    java.lang.Object
      edu.stanford.smi.protegex.widget.instancetable.VisibleSlotDescription

    public class VisibleSlotDescription

extends Object

Wrapper around all the information that describes how a slot appears.

Author:
  William Grosso

Field Summary
`Color` | `color`
`String` | `columnName`
`int` | `preferredSize`
`Slot` | `slot`

Constructor Summary
`VisibleSlotDescription(KnowledgeBase kb, PropertyList plist, String slotName)`
`VisibleSlotDescription(Slot theSlot)`
`VisibleSlotDescription(Slot theSlot, Color theColor, String theColumnName, int thePreferredSize)`

Method Summary
`void` | `writeToPropertyList(PropertyList plist)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### slot

    public Slot slot

### columnName

    public String columnName

### color

    public Color color

### preferredSize

    public int preferredSize

Constructor Detail

### VisibleSlotDescription

    public VisibleSlotDescription(KnowledgeBase kb,
                                  PropertyList plist,
                                  String slotName)

### VisibleSlotDescription

    public VisibleSlotDescription(Slot theSlot)

### VisibleSlotDescription

    public VisibleSlotDescription(Slot theSlot,
                                  Color theColor,
                                  String theColumnName,
                                  int thePreferredSize)

Method Detail

### writeToPropertyList

    public void writeToPropertyList(PropertyList plist)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request